package com.huiju.estateagents.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaMiniappTheme;
import com.huiju.estateagents.service.ITaMiniappThemeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/api")
public class TaMiniappThemeController extends BaseController {

    @Autowired
    ITaMiniappThemeService iTaMiniappThemeService;

    @GetMapping("/admin/miniapp-theme")
    public ResponseBean getThemeListForAdmin(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
                                             @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize,
                                             HttpServletRequest request) {
        Integer orgId = getOrgId(request);

        Boolean includeNotUsed = true;
        IPage<TaMiniappTheme> themeList = iTaMiniappThemeService.getThemeList(orgId, includeNotUsed, pageNum, pageSize);

        return ResponseBean.success(themeList);
    }

    @PostMapping("/admin/miniapp-theme")
    public ResponseBean saveTheme(@RequestBody TaMiniappTheme taMiniappTheme, HttpServletRequest request) {
        if (taMiniappTheme == null) {
            return ResponseBean.error("非法参数", ResponseBean.ERROR_ILLEGAL_PARAMS);
        }

        Integer orgId = getOrgId(request);
        taMiniappTheme.setOrgId(orgId);

        Boolean success = iTaMiniappThemeService.save(taMiniappTheme);
        if (success) {
            return ResponseBean.success(taMiniappTheme);
        } else {
            return ResponseBean.error("保存主题失败", ResponseBean.ERROR_UNAVAILABLE);
        }
    }

}
